#!/usr/bin/perl -w

my $col = shift(@ARGV);
my $separator = shift(@ARGV);
my $joiner = shift(@ARGV);

if (not defined($separator)) {
    $separator = '\s+';
    if (not defined($joiner)) {
	$joiner = ' ';
    }
}
elsif (not defined($joiner)) {
    $joiner = $separator;
}

die "usage: remove_col.pl column_number\n" if !defined($col) or $col == 0 or @ARGV!=0;

if ($joiner eq "\\t") {
    $joiner = sprintf "\t";
}

my $lc = 0;
while (<STDIN>) {
    chomp;
    $lc++;
    my @foo = split($separator, $_);
    if ($col > 0) {
	if ($col > @foo) {
#	    warn "WARNING: could not delete item $col at $lc, not enough columns\n";
	}
	else {
	    splice(@foo, $col-1, 1);
	}
    }
    else {
	if (scalar(@foo)+$col < 0) {
#	    warn "WARNING: could not delete item $col at $lc, not enough columns\n";
	}
	else {
	    splice(@foo, (scalar(@foo)+$col), 1);
	}
    }
    print join($joiner, @foo), "\n";
}
