# Path contains my path to wapiti and "." the current directory (for the scripts)
export PATH="$PATH:/home/alex/src/wapiti-1.5.0:."

rm -f seq_train.txt
for a in `cat TRAINLIST` 
do
   cat $a | perl extract_seq_004.pl >> seq_train.txt
done

rm -f seq_dev.txt
for a in `cat DEVLIST` 
do
   cat $a | perl extract_seq_004.pl >> seq_dev.txt
done

rm -f seq_test.txt
for a in `cat DEVTESTLIST` 
do
   cat $a | perl extract_seq_004.pl >> seq_test.txt
done

# train model
wapiti train -1 0 -2 0 -p b_offset_pattern.txt seq_train.txt b_offset_pattern.model

# get results
echo seq_train
wapiti label --check -m b_offset_pattern.model seq_train.txt > tmp_check

echo labeling seq_train for diffing purposes, diff seq_train.txt with tmp_check_train
cat seq_train.txt | remove_col_nowarn.pl -1 > tmp_seq_train
wapiti label -m b_offset_pattern.model tmp_seq_train > tmp_check_train 2> /dev/null

echo seq_dev
wapiti label --check -m b_offset_pattern.model seq_dev.txt > tmp_check

echo labeling seq_dev for diffing purposes, diff seq_dev.txt with tmp_check_dev
cat seq_dev.txt | remove_col_nowarn.pl -1 > tmp_seq_dev
wapiti label -m b_offset_pattern.model tmp_seq_dev > tmp_check_dev 2> /dev/null

echo seq_test
wapiti label --check -m b_offset_pattern.model seq_test.txt > tmp_check
